{
  "info": {
    "properties": {
      "id": {
        "type": "long"
      },
      "billYear": {
        "type": "long"
      },
      "idUser": {
        "type": "long"
      },
      "userName": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "tradeKind": {
        "type": "integer"
      },
      "tradeCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "payableMoney": {
        "type": "long"
      },
      "paiedMoney": {
        "type": "long"
      },
      "payTimeLong": {
        "type": "long"
      },
      "paymentChannel": {
        "type": "integer"
      },
      "orderCount": {
        "type": "integer"
      },
      "billStatus": {
        "type": "integer"
      },
      "startTimeLong": {
        "type": "long"
      },
      "expireTimeLong": {
        "type": "long"
      },
      "dataSourceId": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "actPayMode": {
        "type": "integer"
      },
      "actTransactionId": {
        "type": "text",
        "index": "not_analyzed"
      },
      "actOutTransactionId": {
        "type": "text",
        "index": "not_analyzed"
      },
      "actTradeType": {
        "type": "text",
        "index": "not_analyzed"
      },
      "actBankType": {
        "type": "text",
        "index": "not_analyzed"
      },
      "actOpenId": {
        "type": "text",
        "index": "not_analyzed"
      },
      "actBuyerLogonId": {
        "type": "text",
        "index": "not_analyzed"
      },
      "createBy": {
        "type": "long"
      },
      "createTimeLong": {
        "type": "long"
      },
      "updateBy": {
        "type": "long"
      },
      "updateTimeLong": {
        "type": "long"
      },
      "payOrderList": {
        "type": "nested",
        "properties": {
          "idItem": {
            "type": "long"
          },
          "idOrderGroup": {
            "type": "long"
          },
          "idOrderReceivable": {
            "type": "long"
          },
          "idOrder": {
            "type": "long"
          },
          "financeCode": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "codefull_analyzer",
            "fields": {
              "raw": {
                "type": "keyword"
              }
            }
          },
          "orderCode": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "codefull_analyzer",
            "fields": {
              "raw": {
                "type": "keyword"
              }
            }
          },
          "orderName": {
            "type": "text",
            "analyzer": "index_ansj",
            "search_analyzer": "query_ansj",
            "fields": {
              "raw": {
                "type":  "keyword"
              },
              "number": {
                "type": "text",
                "index": "analyzed",
                "analyzer": "number_analyzer"
              },
              "letter": {
                "type": "text",
                "index": "analyzed",
                "analyzer": "letter_analyzer"
              }
            }
          },
          "itemMoney": {
            "type": "long"
          }
        }
      }
    }
  }
}
